require 'cgi'

module CRP
  GENDER_NAME_CODES = { 1 => :female, 2 => :male }

  class GenderMapper
    # Maps the +:unknown+, +:female+ or +:male+ gender names to their respective CRP
    # gender codes. Invalid gender names will reeturn the unknown gender code of +0+.
    def self.to_code(name)
      GENDER_NAME_CODES.invert[name] || 0
    end

    # Maps the CRP gender codes to the more friendly +:unknown+, +:female+ or +:male+ gender
    # names. Invalid codes wil return an +:unknown+ gender name.
    def self.to_name(code)
      GENDER_NAME_CODES[code] || :unknown
    end
  end
end
