require 'cgi'

module CRP
  class ResultMapper
    # Maps the CRP result codes to a human readable message.
    def self.to_message(code)
      case code
      when 1
        "Approved"
      when 2
        "Updated"
      when 3
        "Denied"
      when 31
        "Deletion requested"
      when 32
        "Underaged"
      when 33
        "Angry customer"
      when 34
        "Commercial"
      when 61
        "G-rated"
      when 62
        "Sexual"
      when 63
        "Explicit"
      when 64
        "Hardcore"
      when 91
        "Irrelevant"
      else
        ""
      end
    end
  end
end
