require 'json'

module CRP
  class ReviewResponse
    SUCCESS_STATUS_CODE = 200

    def initialize(response)
      @response = response
    end

    def successful?
      @response.code.to_i == SUCCESS_STATUS_CODE
    end

    def raw_review
      successful? ? json_parsed_body : {}
    end

    def raw_errors
      successful? ? {} : json_parsed_body["errors"]
    end

    def internal_id
      raw_review.first["internalId"].to_s
    end

    def external_id
      raw_review.first["externalId"]
    end

    private

    def json_parsed_body
      JSON.parse(@response.body)
    end
  end
end
